import React from 'react';
import { Theme, FontFamily, ColorToken, PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type EmptyStateRef = React.Ref<HTMLDivElement>;
export declare type EmptyStateProps = PropsWithMetadata<{
    className?: string;
    customImage?: string;
    customImageClassName?: string;
    description?: string;
    iconColor?: ColorToken;
    iconFamily?: FontFamily;
    iconName?: string;
    iconSize?: number;
    onRetryButtonClick?: React.MouseEventHandler;
    retryButtonText?: string;
    retryButtonTheme?: Extract<Theme, 'primary' | 'link'>;
    showRetryButton?: boolean;
    title?: string;
}>;
declare const _default: React.NamedExoticComponent<EmptyStateProps>;
export default _default;
